T_RCVREL(3N)

NAME
t_rcvrel - acknowledge receipt of an orderly release indication

SYNOPSIS

#include <tiuser.h>

int t_rcvrel(fd)
int fd;

DESCRIPTION

t_rcvel() acknowledges receipt of an orderly release indication. fd identifies the local transport endpoint where the connection exists. After receipt of this indication, the user may not attempt to receive more data because such an attempt will block forever. However, the user may continue to send data over the connection if t_sndrel(3N) has not been issued by the user.

t_rcvrel() is an optional service of the transport provider, and is only supported if the transport provider returned service type T_COTS_ORD on t_open(3N) or t_getinfo(3N).

RETURN VALUES

t_rcvrel() returns:

0   on success.

-1  on failure and sets t_errno to indicate the error.

ERRORS

TBADF
    The specified file descriptor does not refer to a transport endpoint.

TLOOK
    An asynchronous event has occurred on this transport endpoint and requires immediate attention.

TNOREL
    No orderly release indication currently exists on the specified transport endpoint.

TNOTSUPPORT
    This function is not supported by the underlying transport provider.

TSYSERR
    The function failed due to a system error and set errno to indicate the error.

SEE ALSO
t_open(3N), t_sndrel(3N)